classification
Title: spurious empty lines in wsgiref code
Type: Stage:
Components: Library (Lib) Versions: Python 3.1, Python 2.7
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: pje Nosy List: eric.araujo, pitrou, pje, ptn, tarek
Priority: normal Keywords: patch

Created on 2009-04-20 16:03 by tarek, last changed 2010-02-23 06:02 by tarek. This issue is now closed.

Files
File name Uploaded Description Edit
patch ptn, 2009-06-19 16:51
wsgiref-patch ptn, 2009-06-30 21:56 pep8fies all file in wsgiref
wsgiref-patch.diff ptn, 2009-06-30 22:05
Messages (8)
msg86200 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-04-20 16:03
the wsgiref package is hard to read, there are blocs of empty lines.

Can I pep8-fy it ?
msg89460 - (view) Author: Pablo Torres Navarrete (ptn) Date: 2009-06-17 15:06
The patch for issue #5800 solves this.
msg89482 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-06-17 21:15
+1 for making the source more readable.
msg89526 - (view) Author: Pablo Torres Navarrete (ptn) Date: 2009-06-19 16:51
I added the patch for #5800
msg89951 - (view) Author: Pablo Torres Navarrete (ptn) Date: 2009-06-30 21:56
I cleaned the rest of the module by shortening lines that are too long,
removing useless blocks of empty lines and adding whitespace around
operators and after commas.  Nothing in the programming logic was changed.
msg89952 - (view) Author: Pablo Torres Navarrete (ptn) Date: 2009-06-30 21:58
The patch applies to rev 73702 of the py3k branch.
msg89953 - (view) Author: Pablo Torres Navarrete (ptn) Date: 2009-06-30 22:05
Oops, forgot to add the .diff extension so web browsers don't get
confused.  Their contents are the same though.
msg99899 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-02-23 06:02
empty lines were removed in r78367, r78369
History
Date User Action Args
2010-02-23 06:02:46tareksetstatus: open -> closed

messages: + msg99899
2010-02-16 04:12:53eric.araujosetnosy: + eric.araujo
2009-06-30 22:05:25ptnsetfiles: + wsgiref-patch.diff
keywords: + patch
messages: + msg89953
2009-06-30 21:58:32ptnsetmessages: + msg89952
2009-06-30 21:56:55ptnsetfiles: + wsgiref-patch

messages: + msg89951
2009-06-19 16:51:34ptnsetfiles: + patch

messages: + msg89526
2009-06-17 23:00:14benjamin.petersonsetassignee: pje
2009-06-17 21:15:32pitrousetnosy: + pitrou
messages: + msg89482
2009-06-17 15:06:34ptnsetnosy: + ptn
messages: + msg89460
2009-04-20 16:03:57tarekcreate